Bug 1525990 - [RFE] please provide in EPEL
Summary: [RFE] please provide in EPEL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Mojolicious
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1542727
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-14 14:48 UTC by Philippe BEAUMONT
Modified: 2018-03-13 17:06 UTC (History)
5 users (show)

Fixed In Version: perl-Mojolicious-7.67-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-13 17:06:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Philippe BEAUMONT 2017-12-14 14:48:48 UTC
- Description of problem:

perl-mojolicious is not available in EPEL

- Version-Release number of selected component (if applicable):

All versions.

- How reproducible:

Steps to Reproduce:
1. yum install perl-mojolicious
2. see 'no package available'
3. cry hardly and stomp your feet

- Actual results:

No package

- Expected results:

find a package in EPEL and install it.

Additional info:

I need it as dependance for OCS Inventory NG : the new optionnal API use mojolicious. I will include the dependance in the RPM for Fedora and hope to do it in el7 too.

Comment 1 Robert-André Mauchin 🐧 2018-02-06 22:08:34 UTC
I need this too for Ravada bug#1535207

Only one package is missing: perl(experimental) which is owned by Petr Pisar.

The SPEC from master requires minor changes: namely removing the NO_PACKLIST option which is only available from perl(ExtUtils::MakeMaker) >= 6.76 and instead remove the packlist manually.

Comment 2 Emmanuel Seyman 2018-02-11 08:29:41 UTC
I've requested an epel7 branch for this package.

Comment 3 Robert-André Mauchin 🐧 2018-02-19 21:09:50 UTC
perl(experimental) is in testing in EPEL7. A Buildroot Override would allow to build perl-mojolicious. If any help is needed, I'm available.

Comment 4 Fedora Update System 2018-02-21 07:18:46 UTC
perl-Mojolicious-7.67-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-4a3b2cd2dd

Comment 5 Fedora Update System 2018-02-21 16:44:05 UTC
perl-Mojolicious-7.67-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-4a3b2cd2dd

Comment 6 Fedora Update System 2018-03-13 17:06:35 UTC
perl-Mojolicious-7.67-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.